Skip to content

cluster / bulk-action ​

6 operations.

GET /cluster/bulk-action ​

ts
proxmox.cluster["bulk-action"].$get()

List resource types.

Returns an array of object.

GET /cluster/bulk-action/guest ​

ts
proxmox.cluster["bulk-action"].guest.$get()

Bulk action index.

Returns an array of object.

POST /cluster/bulk-action/guest/migrate ​

ts
proxmox.cluster["bulk-action"].guest.migrate.$post()

Bulk migrate all guests on the cluster.

Returns string.

ParameterTypeRequiredNotes
max-workersnumberDefines the maximum number of tasks running concurrently. — min 1, max 64, default 1
maxworkersnumberDefines the maximum number of tasks running concurrently. Deprecated, use 'max-workers' instead. — min 1, max 64, default 1
onlinebooleanEnable live migration for VMs and restart migration for CTs.
targetstringyesTarget node. — format pve-node
vmsnumber[]Only consider guests from this list of VMIDs.
with-local-disksbooleanEnable live storage migration for local disk

POST /cluster/bulk-action/guest/shutdown ​

ts
proxmox.cluster["bulk-action"].guest.shutdown.$post()

Bulk shutdown all guests on the cluster.

Returns string.

ParameterTypeRequiredNotes
force-stopbooleanMakes sure the Guest stops after the timeout. — default 1
max-workersnumberDefines the maximum number of tasks running concurrently. — min 1, max 64, default 4
maxworkersnumberDefines the maximum number of tasks running concurrently. Deprecated, use 'max-workers' instead. — min 1, max 64, default 4
timeoutnumberDefault shutdown timeout in seconds if none is configured for the guest. — default 180
vmsnumber[]Only consider guests from this list of VMIDs.

POST /cluster/bulk-action/guest/start ​

ts
proxmox.cluster["bulk-action"].guest.start.$post()

Bulk start or resume all guests on the cluster.

Returns string.

ParameterTypeRequiredNotes
max-workersnumberDefines the maximum number of tasks running concurrently. — min 1, max 64, default 4
maxworkersnumberDefines the maximum number of tasks running concurrently. Deprecated, use 'max-workers' instead. — min 1, max 64, default 4
timeoutnumberDefault start timeout in seconds. Only valid for VMs. (default depends on the guest configuration).
vmsnumber[]Only consider guests from this list of VMIDs.

POST /cluster/bulk-action/guest/suspend ​

ts
proxmox.cluster["bulk-action"].guest.suspend.$post()

Bulk suspend all guests on the cluster.

Returns string.

ParameterTypeRequiredNotes
max-workersnumberDefines the maximum number of tasks running concurrently. — min 1, max 64, default 4
maxworkersnumberDefines the maximum number of tasks running concurrently. Deprecated, use 'max-workers' instead. — min 1, max 64, default 4
statestoragestringThe storage for the VM state. — format pve-storage-id
to-diskbooleanIf set, suspends the guests to disk. Will be resumed on next start. — default 0
vmsnumber[]Only consider guests from this list of VMIDs.